Bug 1039054 (CVE-2013-6431) - CVE-2013-6431 kernel: net: fib: fib6_add: potential NULL pointer dereference
Summary: CVE-2013-6431 kernel: net: fib: fib6_add: potential NULL pointer dereference
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-6431
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20130907,reported=2...
Depends On: 1039070 1039071
Blocks: 1028025
TreeView+ depends on / blocked
 
Reported: 2013-12-06 13:29 UTC by Prasad J Pandit
Modified: 2019-06-08 19:49 UTC (History)
29 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-28 19:07:44 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0100 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2014-01-28 22:38:58 UTC

Description Prasad J Pandit 2013-12-06 13:29:52 UTC
Linux kernel built with the IPv6 protocol(CONFIG_IPv6) along with the IPv6
source address based routing support(CONFIG_IPV6_SUBTREE) is vulnerable to a
NULL pointer dereference flaw. It could occur while doing an ioctl(SIOCADDRT)
call on an IPv6 socket. User would need to have CAP_NET_ADMIN privileges to
perform such a call.

A user/program with CAP_NET_ADMIN privileges could use this flaw to crash a
system resulting in DoS.

Upstream fix:
-------------
 -> https://git.kernel.org/linus/ae7b4e1f213aa659aedf9c6ecad0bf5f0476e1e2

Comment 1 Prasad J Pandit 2013-12-06 14:13:51 UTC
Statement:

This issue does not affect the versions of Linux kernel as shipped with Red Hat Enterprise Linux 5 and Red Hat Enterprise Linux 6.

Comment 3 errata-xmlrpc 2014-01-28 17:41:43 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2014:0100 https://rhn.redhat.com/errata/RHSA-2014-0100.html


Note You need to log in before you can comment on or make changes to this bug.